<mat-sidenav-container class="sidenav-container">
    <mat-sidenav #drawer class="sidenav" fixedInViewport="true" [attr.role]="isHandset ? 'dialog' : 'navigation'" [mode]="(isHandset | async)!.matches ? 'over' : 'side'"
        [opened]="!(isHandset | async)!.matches">
        <mat-toolbar color="primary">Live Coding</mat-toolbar>
        <mat-nav-list>
            <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/dashboard']">
                <mat-icon class="sidenav-icon">dashboard</mat-icon> Dashbard
            </a>
            <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/screen1']">
                <mat-icon class="sidenav-icon">build</mat-icon> Screen1
            </a>
            <a mat-list-item [routerLinkActive]="'active'" [routerLink]="['/screen2']">
                <mat-icon class="sidenav-icon">people</mat-icon> Screen2
            </a>
        </mat-nav-list>
    </mat-sidenav>
</mat-sidenav-container>